{% extends 'space/space.html.twig' %}

{% block title %}{% trans with {'organization': organization} %}Edit the details for {organization}{% endtrans %}{% endblock %}

{% block body %}
    {{ parent() }}
    {% if deployment_disabled %}
        <div class="alert alert-warning" role="alert">
            <h5 class="alert-heading">⚠️ {% trans %}Deployment is currently disabled{% endtrans %}</h5>
            <p class="mb-1">{% trans %}The deployment process has been disabled for now, probably due to some maintenance work, so you can't perform changes to your space at the moment.{% endtrans %}</p>
        </div>
    {% endif %}
    {% if maintenance_activated %}
        <div class="alert alert-warning" role="alert">
            <h5 class="alert-heading">⚠️ {% trans %}Space currently in maintenance{% endtrans %}</h5>
            <p class="mb-1">{% trans %}Your space is currently in maintenance mode, most probably because some update is ongoing or something went wrong with your space. You can't perform changes to your space at the moment. If this message is still shown after 5 minutes, please contact us.{% endtrans %}</p>
            {% if maintenance_message %}
                <p>{% trans %}The following extra maintenance details message has been returned:{% endtrans %}</p>
                <pre>{{ maintenance_message }}</pre>
            {% endif %}
        </div>
    {% endif %}
    <div data-turbo="false">
        {% if has_ongoing_jobs %}
            <div class="alert alert-warning" role="alert">
                {% trans %}Managing this space is temporarily disabled as there's ongoing work to apply previous modifications. Please come back in a few minutes.{% endtrans %}
            </div>
        {% endif %}
        {% if deleted_at %}
            <div class="alert alert-danger" role="alert">
                <p>{% trans with {'deleted_at': real_deletion_date} %}This space is scheduled to be deleted on {deleted_at, date}.{% endtrans %}</p>
                <a href="{{ path('pre-reactivate') }}" class="btn btn-success">{% trans %}Reactivate my space{% endtrans %}</a>
            </div>
        {% endif %}
        {{ form(form) }}
        <a href="{{ path('view_space') }}">{% trans %}Back to space overview{% endtrans %}</a>
    </div>
{% endblock %}